LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
PrinterServer Service Reference

mechanism to discover and manage printers More...

`import"PrinterServer.idl";`

Inheritance diagram for PrinterServer:

## Additional Inherited Members
Public Member Functions inherited from XPrinterServer2
string | getDefaultPrinterName ()
| returns the current default printer name More...
Public Member Functions inherited from XPrinterServer
sequence< string > | getPrinterNames ()
| returns a list of all available printer names. More...
com::sun::star::awt::XPrinter | createPrinter ([in] string printerName)
| creates a new virtual printer. More...
com::sun::star::awt::XInfoPrinter | createInfoPrinter ([in] string printerName)
| creates a new information printer. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

mechanism to discover and manage printers

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/PrinterServer.idl